#!/bin/sh

#################################################################
#
# Install.sh
# Copyright (c) 2005 McAfee, Inc. All Rights Reserved.
#
# This script installs the Virex 7.7. HotFix #252280
#
#################################################################


echo "Please enter password to apply the hot fix..."
sudo echo " "

daemonInstallpath="/usr/local/vscanx/"
appSuportPath="/Library/Application Support/Virex/"
daemonPath=VShieldUpdate
digestPath=digest.plist

if  [ ! -e ${daemonInstallpath} ] || [ ! -e "${appSuportPath}" ] 
then
	echo "Virex is not installed on your system. Please install Virex 7.7 to apply this hot fix."
	exit
fi


if  [ ! -e ${daemonpath} ] || [ ! -e "${digestPath}" ] 
then
	echo "Contents of HF252280.zip seem to be corrupt. Please download the zip file again"
	exit
fi

sudo echo "Installing the hot fix ..."

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShieldUpdate" ) {print $1}  }'`

sudo kill -1 ${pid} 2>/dev/null

sudo rm ${daemonInstallpath}/VShieldUpdate
sudo cp VShieldUpdate ${daemonInstallpath}
sudo cp digest.plist "${appSuportPath}"
sudo echo "Installation completed successfully"
